[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: kernel-devel: should yum install, not update?



On Jan 22, 2005, Jeff Spaleta <jspaleta gmail com> wrote:

> On Sat, 22 Jan 2005 11:03:39 -0800, Tom London <selinux gmail com> wrote:
>> Running latest rawhide.
>> 
>> Yum seems to update the kernel-devel package.
>> 
>> Should it be added to the default 'installonly' packages?

> probably... looking at the kernel-devel file payload it seems to be
> parallel installable by design. I think its perfectly reasonable to
> set this to parallel install by default instead of upgrade.

I don't think the default should be to have multiple versions of this
package installed.  Sure enough, some people might have need for them
all, but, unlike kernel and kernel-modules, this one serves no useful
purpose for most users, so I'd rather not see them piling up by
default.

Users with an actual need for multiple kernel-devel packages should be
able to tweak the tools to accomplish this.

-- 
Alexandre Oliva             http://www.ic.unicamp.br/~oliva/
Red Hat Compiler Engineer   aoliva {redhat com, gcc.gnu.org}
Free Software Evangelist  oliva {lsd ic unicamp br, gnu.org}


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]